Skip to content

List the team's branch previews

GET
/api/v1/previews
curl --request GET \
--url https://api.deploybase.eu/api/v1/api/v1/previews \
--header 'Authorization: <Authorization>'

Returns every active branch preview environment owned by the caller’s team, across all of its projects. Backs the cross-project deployments overview.

OK

Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"data": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Unauthorized

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Internal Server Error

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}